Subject: [PATCH]: ppc64/pseries build-break fix: export pcibios_remove_pci_devices

From: [email-masked] (Linas Vepstas)
Date: Mon, 7 May 2007 12:11:11 -0500

Paul, please apply and push the following; its a build-break fix.

BTW, I have 5 more pseries EEH patches I've been planning to push for
weeks, I just haven't been able to get access to the right kind of machine 
to test on.  But they're coming real soon now, I'd like to have them for 2.6.22

--linas

The pseries PCI hotplug code cannot build as a module, unless
the pcibios_remove_pci_devices function is exported.

Signed-off-by: Linas Vepstas <[email-masked]>

----
 arch/powerpc/platforms/pseries/pci_dlpar.c |    1 +
 1 file changed, 1 insertion(+)

Index: linux-2.6.21-rc7-mm2/arch/powerpc/platforms/pseries/pci_dlpar.c
===================================================================
--- linux-2.6.21-rc7-mm2.orig/arch/powerpc/platforms/pseries/pci_dlpar.c	2007-04-26 15:37:32.000000000 -0500
+++ linux-2.6.21-rc7-mm2/arch/powerpc/platforms/pseries/pci_dlpar.c	2007-05-07 11:54:25.000000000 -0500
@@ -79,6 +79,7 @@ pcibios_remove_pci_devices(struct pci_bu
 		pci_remove_bus_device(dev);
 	}
 }
+EXPORT_SYMBOL_GPL(pcibios_remove_pci_devices);
 
 /* Must be called before pci_bus_add_devices */
 void